View Issue Details

IDProjectCategoryView StatusLast Update
15333Bug reportsSurvey editingpublic2019-11-01 14:32
ReporterdominikvittAssigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.0.0-RC3 
Target Version4.0.0-RC4 
Summary15333: Unable to save survey settings
Description

A spinner is shown on the save button, but nothing is saved.
There is an error message when trying to save survey settings, see attached.

Steps To Reproduce
  • open any of survey setting pages from the sidebar
  • click on the save button

A spinner is shown on the save button, but nothing is saved.

Additional Information

With debug mode on, PHP notice message in a log is shown.
With debug mode off, there is no message, but saving still doesn't work

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-RC3
I will donate to the project if issue is resolvedNo
BrowserChromium, Firefox
Database & DB-VersionMySQL 5.7.24-0ubuntu0.18.04.1
Server OS (if known)Linux Mint 19.1 Tessa 64-bit
Webserver software & version (if known)Nginx
PHP VersionPHP 7.3.9-1+ubuntu18.04.1+deb.sury.org+1

Activities

dominikvitt

dominikvitt

2019-09-26 11:41

developer  

PHP notice.html (20,392 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- saved from url=(0189)http://develop/index.php?r=admin/filemanager/sa/getFilesForSurvey&YII_CSRF_TOKEN=b2dpTVNxYUNyaGZyRll5VGhGWnR2S0ZPVzVLa0ltTWX51GvLzKsZIyb5tzjMVdeAwvdV_Lbf90HV31XtwutYeg%3D%3D&surveyid=874175 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<title>PHP notice</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP notice</h1>

	<p class="message">
		exif_imagetype(): Read error!	</p>

	<div class="source">
		<p class="file">/var/www/html/LimeSurvey-develop/application/controllers/admin/LimeSurveyFileManager.php(430)</p>
		<div class="code"><pre><span class="ln">418</span>         if (empty($realPath) || !is_dir($realPath)) {
<span class="ln">419</span>             return $directoryArray;
<span class="ln">420</span>         }
<span class="ln">421</span> 
<span class="ln">422</span>         $files = scandir($realPath);
<span class="ln">423</span> 
<span class="ln">424</span>         foreach ($files as $file) {
<span class="ln">425</span>             if ($file == '.' || $file == '..') {continue;}
<span class="ln">426</span> 
<span class="ln">427</span>             $fileRelativePath = $folderPath . DIRECTORY_SEPARATOR . $file;
<span class="ln">428</span>             $fileRealpath = dirname(Yii::app()-&gt;basePath) . DIRECTORY_SEPARATOR . $fileRelativePath;
<span class="ln">429</span>             $fileIsDirectoy = @is_dir($fileRealpath);
<span class="error"><span class="ln error-ln">430</span>             $isImage =  !!exif_imagetype($fileRealpath);
</span><span class="ln">431</span>             if ($fileIsDirectoy) {
<span class="ln">432</span>                 continue;
<span class="ln">433</span>             } else {
<span class="ln">434</span> 
<span class="ln">435</span>                 $fileExt = strtolower(pathinfo($fileRealpath, PATHINFO_EXTENSION));
<span class="ln">436</span>                 if (!$this-&gt;_extensionAllowed($fileExt)) {continue;}
<span class="ln">437</span> 
<span class="ln">438</span>                 $iconClassArray = LsDefaultDataSets::fileTypeIcons();
<span class="ln">439</span>                 $size = filesize($fileRealpath);
<span class="ln">440</span>                 if (isset($iconClassArray[$fileExt])) {
<span class="ln">441</span>                     $iconClass = $iconClassArray[$fileExt];
<span class="ln">442</span>                 } else {
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/application/controllers/admin/LimeSurveyFileManager.php(430): <strong>exif_imagetype</strong>("/var/www/html/LimeSurvey-develop/upload/surveys/874175/files")				</div>

				<div class="code"><pre><span class="ln">425</span>             if ($file == '.' || $file == '..') {continue;}
<span class="ln">426</span> 
<span class="ln">427</span>             $fileRelativePath = $folderPath . DIRECTORY_SEPARATOR . $file;
<span class="ln">428</span>             $fileRealpath = dirname(Yii::app()-&gt;basePath) . DIRECTORY_SEPARATOR . $fileRelativePath;
<span class="ln">429</span>             $fileIsDirectoy = @is_dir($fileRealpath);
<span class="error"><span class="ln error-ln">430</span>             $isImage =  !!exif_imagetype($fileRealpath);
</span><span class="ln">431</span>             if ($fileIsDirectoy) {
<span class="ln">432</span>                 continue;
<span class="ln">433</span>             } else {
<span class="ln">434</span> 
<span class="ln">435</span>                 $fileExt = strtolower(pathinfo($fileRealpath, PATHINFO_EXTENSION));
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/application/controllers/admin/LimeSurveyFileManager.php(121): <strong>LimeSurveyFileManager</strong>-&gt;<strong>_collectFileList</strong>("upload/surveys/874175")				</div>

				<div class="code"><pre><span class="ln">116</span>     {
<span class="ln">117</span>         $folders = $this-&gt;_collectCompleteFolderList($surveyid);
<span class="ln">118</span>         $result = [];
<span class="ln">119</span> 
<span class="ln">120</span>         foreach ($folders as $folder) {
<span class="error"><span class="ln error-ln">121</span>             $result[$folder] = $this-&gt;_collectFileList($folder);
</span><span class="ln">122</span>         }
<span class="ln">123</span> 
<span class="ln">124</span>         $this-&gt;_printJsonResponse($result);
<span class="ln">125</span>         return;
<span class="ln">126</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>LimeSurveyFileManager</strong>-&gt;<strong>getFilesForSurvey</strong>("874175")				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/framework/web/actions/CAction.php(109): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(LimeSurveyFileManager, array("874175"))				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/application/core/Survey_Common_Action.php(86): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(LimeSurveyFileManager, ReflectionMethod, array("r" =&gt; "admin/filemanager/sa/getFilesForSurvey", "YII_CSRF_TOKEN" =&gt; "b2dpTVNxYUNyaGZyRll5VGhGWnR2S0ZPVzVLa0ltTWX51GvLzKsZIyb5tzjMVdeA...", "surveyid" =&gt; "874175", "sa" =&gt; "getFilesForSurvey", ...))				</div>

				<div class="code"><pre><span class="ln">81</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">82</span>         }
<span class="ln">83</span> 
<span class="ln">84</span>         // We're all good to go, let's execute it
<span class="ln">85</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">86</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">87</span>     }
<span class="ln">88</span> 
<span class="ln">89</span>     /**
<span class="ln">90</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">91</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/framework/web/CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("r" =&gt; "admin/filemanager/sa/getFilesForSurvey", "YII_CSRF_TOKEN" =&gt; "b2dpTVNxYUNyaGZyRll5VGhGWnR2S0ZPVzVLa0ltTWX51GvLzKsZIyb5tzjMVdeA...", "surveyid" =&gt; "874175", "sa" =&gt; "getFilesForSurvey", ...))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(LimeSurveyFileManager)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(LimeSurveyFileManager, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/application/controllers/AdminController.php(163): <strong>CController</strong>-&gt;<strong>run</strong>("filemanager")				</div>

				<div class="code"><pre><span class="ln">158</span>         }
<span class="ln">159</span> 
<span class="ln">160</span>         $this-&gt;runModuleController($action);
<span class="ln">161</span> 
<span class="ln">162</span> 
<span class="error"><span class="ln error-ln">163</span>         return parent::run($action);
</span><span class="ln">164</span>     }
<span class="ln">165</span> 
<span class="ln">166</span>     /**
<span class="ln">167</span>      * Starting with LS4, 3rd party developper can extends any of the LimeSurve controllers.
<span class="ln">168</span>      */
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/framework/web/CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("filemanager")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/filemanager/sa/getFilesForSurvey")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/var/www/html/LimeSurvey-develop/index.php(195): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">190</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">191</span> 
<span class="ln">192</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">193</span> 
<span class="ln">194</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">195</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">196</span> 
<span class="ln">197</span> /* End of file index.php */
<span class="ln">198</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2019-09-26 11:36:41 nginx/1.16.1 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.21	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
PHP notice.html (20,392 bytes)   
cdorin

cdorin

2019-10-07 09:50

manager   ~53907

Hmm, I get this error only when it comes to text elements (as seen on Friday). Do you still have the issue, Dominik?

dominikvitt

dominikvitt

2019-10-07 10:51

developer   ~53913

Still two pages are having this issue: "Text elements" and "Data policy settings".
Other pages seems to save correctly, although they reload the whole page, which is wrong.

Sofi12771

Sofi12771

2019-10-30 23:24

reporter   ~54295

This bug should be closed because it is no longer an issue.

Issue History

Date Modified Username Field Change
2019-09-26 11:41 dominikvitt New Issue
2019-09-26 11:41 dominikvitt File Added: PHP notice.html
2019-10-07 09:50 cdorin Note Added: 53907
2019-10-07 10:51 dominikvitt Note Added: 53913
2019-10-30 23:24 Sofi12771 Note Added: 54295
2019-11-01 14:32 cdorin Status new => closed
2019-11-01 14:32 cdorin Resolution open => fixed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing